Error message

For all the users of Twilight Render (V1 & V2), to ask questions and get started
Post Reply
CHRCHEETHAM1993
Posts: 4
Joined: Sat Nov 26, 2022 8:43 pm

Error message

Post by CHRCHEETHAM1993 » Sat Nov 26, 2022 9:00 pm

Hopeing someone can help me navigate this error message whilst trying to run twilight, there is no problem installing the extension however it comes up with this error message when sketch up opens up & there our no twilight tools in the "view". any help would be much appreciated. see error message below.

Error Loading File /Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2/twilight2_loader.rb
Error: #<LoadError: dlopen(/Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2/27/TwilightLibV2.bundle, 9): no suitable image found. Did find:
/Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2/27/TwilightLibV2.bundle: mach-o, but wrong architecture
/Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2/27/TwilightLibV2.bundle: mach-o, but wrong architecture - /Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2/27/TwilightLibV2.bundle>
/Volumes/SketchUp 2022/SketchUp 2022/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.7.1/lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:92:in `require'
/Volumes/SketchUp 2022/SketchUp 2022/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.7.1/lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:92:in `require'
/Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2/init_twilight.rb:28:in `<module:TwilightLoader>'
/Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2/init_twilight.rb:5:in `<top (required)>'
/Volumes/SketchUp 2022/SketchUp 2022/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.7.1/lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:92:in `require'
/Volumes/SketchUp 2022/SketchUp 2022/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.7.1/lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:92:in `require'
/Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2/twilight2_loader.rb:2:in `<top (required)>'
/Volumes/SketchUp 2022/SketchUp 2022/SketchUp.app/Contents/Resources/Content/Tools/extensions.rb:197:in `require'
/Volumes/SketchUp 2022/SketchUp 2022/SketchUp.app/Contents/Resources/Content/Tools/extensions.rb:197:in `load'
/Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2.rb:15:in `register_extension'
/Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2.rb:15:in `<module:TwilightLoader>'
/Users/chrischeetham/Library/Application Support/SketchUp 2022/SketchUp/Plugins/twilight2.rb:4:in `<top (required)>'

Fletch
Posts: 12520
Joined: Fri Mar 20, 2009 2:41 pm
OS: PC 64bit
SketchUp: 2020-2022
Contact:

Re: Error message

Post by Fletch » Sun Nov 27, 2022 12:04 am

please provide your operating system information, thank you :hat:

Chris
Posts: 5261
Joined: Sun Mar 08, 2009 3:00 am
OS: Win10
SketchUp: 2016

Re: Error message

Post by Chris » Sun Nov 27, 2022 10:03 pm

If you are using macOS with an M1 processor, you will need to run SketchUp 2022 using Rosetta.

https://www.twilightrender.com/phpBB3/v ... hp?t=12395

CHRCHEETHAM1993
Posts: 4
Joined: Sat Nov 26, 2022 8:43 pm

Re: Error message

Post by CHRCHEETHAM1993 » Mon Nov 28, 2022 5:36 am

thanks for the reply guys, I am on a Mac, newest version. I will try rosetta thanks guys

CHRCHEETHAM1993
Posts: 4
Joined: Sat Nov 26, 2022 8:43 pm

Re: Error message

Post by CHRCHEETHAM1993 » Mon Nov 28, 2022 5:38 am

Also my business partner has the same Mac, bought at the same time and we managed to download twilight without any problems on that one, any other thoughts? many thanks

Chris
Posts: 5261
Joined: Sun Mar 08, 2009 3:00 am
OS: Win10
SketchUp: 2016

Re: Error message

Post by Chris » Mon Nov 28, 2022 3:56 pm

Are you using the same version of SketchUp? Prior to SketchUp 2022, SketchUp automatically ran in "compatibility / legacy" mode. Starting with SU 2022, they release an "M1 native" version. Since Twilight Render doesn't run natively on M1, that is why it won't work unless SketchUp is launched with Rosetta (to put it into "compatibility" mode). So maybe the SketchUp versions are different?

Fletch
Posts: 12520
Joined: Fri Mar 20, 2009 2:41 pm
OS: PC 64bit
SketchUp: 2020-2022
Contact:

Re: Error message

Post by Fletch » Mon Nov 28, 2022 5:49 pm

CHRCHEETHAM1993 wrote: Mon Nov 28, 2022 5:38 am we managed to download twilight without any problems on that one,
Do you mean "install" and "run" or do you really mean "download"? Sorry for confusion.

CHRCHEETHAM1993
Posts: 4
Joined: Sat Nov 26, 2022 8:43 pm

Re: Error message

Post by CHRCHEETHAM1993 » Tue Nov 29, 2022 8:03 pm

sorry, to clarify, yes we installed & ran the extension on my business partners Mac, it works fine, however it doesn't on mine, I have tried the rosetta route as well, still having the same error message.

Fletch
Posts: 12520
Joined: Fri Mar 20, 2009 2:41 pm
OS: PC 64bit
SketchUp: 2020-2022
Contact:

Re: Error message

Post by Fletch » Wed Nov 30, 2022 10:53 am

CHRCHEETHAM1993 wrote: Tue Nov 29, 2022 8:03 pm sorry, to clarify, yes we installed & ran the extension on my business partners Mac, it works fine, however it doesn't on mine, I have tried the rosetta route as well, still having the same error message.
Ok, so that's very confusing indeed.

I would try to do a clean and complete removal of everything Twilight, then try restart the machine then re-install Twilight.

Post Reply

Who is online

Users browsing this forum: Google [Bot] and 2 guests